J1939CAT(1)

NAME
j1939cat - manual page for j1939cat 2023.03-1

SYNOPSIS
j1939cat [options] FROM TO

DESCRIPTION
j1939cat: netcat-like tool for j1939

FROM / TO
    - or [IFACE][:[SA][,[PGN][,NAME]]]

OPTIONS

-i <infile>
    (default stdin)

-s <size>
    Set maximal transfer size. Default: 117440505 byte

-r  Receive data

-P <timeout>
    poll timeout in milliseconds before sending data.

    With this option send() will be used with MSG_DONTWAIT flag.

-R <count>
    Set send repeat count. Default: 1

-B  Allow to send and receive broadcast packets.

Example: j1939cat -i some_file_to_send can0:0x80 :0x90,0x12300 j1939cat can0:0x90 -r > /tmp/some_file_to_receive